Subject: Re: bug#41384: failing to build util-linux 2.35.1

From: Marius Bakke <[email-masked]>
Date: Fri, 22 May 2020 16:03:49 +0200

Josh <[email-masked]> writes:

>>I'm afraid you will have to downgrade your kernel in order to upgrade
>>Guix!  :-/
>
> Ahh. Thanks for the response!
>
> How do I do that? I would assume it would be documented here[0], but I
> can't seem to find it anywhere in the manual.
>
> [0] https://guix.gnu.org/manual/en/html_node/operating_002dsystem-Reference.html

There are a couple of options.  The easiest way is to boot into an older
generation before running 'guix pull', if you have any generations with
kernel < 5.4.36 lying around.

Another is to pin the kernel to an older revision of Guix using an
"inferior".  You would have to update your system configuration along
these lines:

--8<---------------cut here---------------start------------->8---
(use-modules (guix inferior)
             (guix channels))

;; A channel with Linux-Libre 5.4.35.
(define channels
  (list (channel
         (name 'guix)
         (url "https://git.savannah.gnu.org/git/guix.git")
         (commit "851a3a779a7173807683e0a3c4e118ef4d8eb0b7"))))

(define inferior
  ;; An inferior representing the above channel.
  (inferior-for-channels channels))

(define linux-libre-5.4.35
  (lookup-inferior-packages inferior "[email-masked]"))

(operating-system
  [...]
  (kernel linux-libre-5.4.35))
--8<---------------cut here---------------end--------------->8---

Then reconfigure and reboot, of course.

Hope this helps!